directory = "/Users/michalpliska/Desktop/Robotiq 2F-85/Processing/DATA/*.txt";
tmp = dir(directory);
tmp = struct2cell(tmp);
data.todo = string(tmp(1, :));
data.file = data.todo(2);
file = fopen("/Users/michalpliska/Desktop/Robotiq 2F-85/Processing/DATA/"+data.file, "r");
fgetl(file);
fgetl(file);
formatSpec = '%f %f %f';
sizeA = [3 inf];
A = fscanf(file,formatSpec,sizeA);
A = A.';
A(:, 2) = A(:, 2)/100;
A(:, 3) = A(:, 3);
range = 200:600;
%range = 550:850;
edge = A(range,2);
plot(A(:,1), A(:,2), "b");
%plot(A(range,1), A(range,2), "b");
%edge = [ones(20, 1)*edge(1); edge; ones(20, 1)*edge(end)];
plot(edge);
save("edge", "edge");
    